:root {
    --navy: #0a1c38;
    --blue: #1a6fc4;
    --accent: rgb(33, 150, 243);
    --white: #ffffff;
    --light-bg: #f0f4f8;
}

.shop-logo{
    z-index: 40;
    position: fixed;
    left: 35%;
    top: 0%;
    margin: 0;
    line-height:0;
    transition: background-color 0.2s ease, transform 0.2s ease, box-shadow 0.2s ease;
}

.shop-logo.show{
    left: 40%;
}

.shop-logo:hover{
    transform: scale(1.05);
    cursor: url("images/bcursor1.png"), default;
}


.item-popup {
    cursor: url("images/bcursor1.png"), pointer;
    display: flex;
    background-color: var(--light-bg);
    width: 40vw;
    aspect-ratio: 5/4;
    flex-direction: column;
    box-sizing: border-box;
    overflow: auto;

    position: fixed;
    border-radius: 1rem;
    padding: 2rem;
    gap: 0rem;

    top: 50%;
    left: 50%;

    transform: translate(-50%, -50%) scale(0.8);
    opacity: 0;
    border: 0.15rem solid var(--light-bg);
    pointer-events: none;
    z-index: 1000;
}

.item-popup.show {
    transform: translate(-50%, -50%) scale(1.0);
    opacity: 1;
    pointer-events: auto;
    z-index: 1000;
}


.popup-overlay {
    display: block;
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    background-color: rgba(0, 0, 0, 0.15);
    opacity: 0;
    pointer-events: none;
    z-index: 999;
}

.popup-overlay.show {
    opacity: 1;
    pointer-events: auto;
}

.item-card{
    z-index: 10;
    padding: 1.5vw;
    display: flex;
    flex-direction: column;
    background-color: var(--light-bg);
    width: auto;
    margin-top:1.5vw;
    margin-right: 20px;
    border-radius:20px;
    box-shadow: 0px 0px 15px rgba(26, 111, 196, 0.527);
}


.content{
    margin-left: 3.5vw;
    padding: 1px 16px;
    height: 100%;
}

.content.show{
    padding: 1px 16px;
    height: 100%;
    margin-left:16vw;
}

.shop-output{
    cursor: url("images/bcursor1.png"), pointer;
    display:grid;
    padding: 1vw;
    grid-template-columns: repeat(3, minmax(10px, 100vw));
    gap: 1em;
    line-height: 1em;
    width: 100%;
    color:black;
}

.cantbuy-popup {
    cursor: url("images/bcursor1.png"), pointer;
    display: flex;
    background-color: var(--light-bg);
    width: 40vw;
    aspect-ratio: 5/4;
    flex-direction: column;
    box-sizing: border-box;
    overflow: auto;

    position: fixed;
    border-radius: 1rem;
    padding: 2rem;
    gap: 0rem;

    top: 50%;
    left: 50%;

    transform: translate(-50%, -50%) scale(0.8);
    opacity: 0;
    border: 0.15rem solid var(--light-bg);
    pointer-events: none;
    z-index: 1000;
}

.cantbuy-popup.show {
    transform: translate(-50%, -50%) scale(1.0);
    opacity: 1;
    pointer-events: auto;
    z-index: 1000;
    border-radius: 10px;
    border-color:rgba(47, 106, 232, 0.368);
}


.button-set{
    display: block;
    align-self: center;
}

.bought-btn{
    left:20%;
    z-index: 100;
}